Bug 909595 - F18 keyboard switching doesn't allow for Shift-Shift or Win-Shift or Ctrl-Shift to be used for keyboard switching
Summary: F18 keyboard switching doesn't allow for Shift-Shift or Win-Shift or Ctrl-Shi...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-09 18:20 UTC by Michal Ambroz
Modified: 2014-02-05 19:03 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 19:03:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Michal Ambroz 2013-02-09 18:20:44 UTC
Description of problem:
After upgrading to Fedora 18 it is not possible it Gnome to choose Shift-Shift as a shortcut for keyboard switching. This way it is not possible to set the same keyboard switching key for both console and XWindows session.


Version-Release number of selected component (if applicable):
Fedora 18
gnome-shell-3.6.2-6.fc18.x86_64

How reproducible:
100%


Steps to Reproduce:
1. Click layout icon on the top bar
2. Regional and Language settings
3. Choose tab Input Sources
4. Follow link to "Shortcut Settings" tab Typing
5. Click to change "Switch to next source"
6. Push ShiftL-ShiftR (the linux default) or Win-Shift (windows default) or Ctrl-Shift (Windows default for some other countries).
  
Actual results:
It is not possible possible to use any of these "well known" combinations for switchin to alternate keyboards.

Expected results:
I would expect that all these combinations will work as users are used to them and you find them in many guides and it is confusing users.


Additional info:

Related links to topic just on the fedoraproject.org project itself.
http://docs.fedoraproject.org/en-US/Fedora/13/html/User_Guide/sect-User_Guide-Customizing_the_desktop-Customizing_input_methods.html
https://ask.fedoraproject.org/question/3784/fedora18-keyboard-layout-switch-both-shifts-how
https://ask.fedoraproject.org/question/3446/toggle-keyboard-layout-doesnt-work
https://ask.fedoraproject.org/question/2765/keyboard-layouts-spare-layouts
https://ask.fedoraproject.org/question/2764/keyboard-spare-layouts
and many more.
https://www.google.cz/search?q=how+to+switch+keyboard+site%3Afedoraproject.org

Comment 1 zless 2013-03-13 12:59:50 UTC
To set change layout shortcut: https://bbs.archlinux.org/viewtopic.php?pid=1192770#p1192770

Comment 2 Fedora End Of Life 2013-12-21 11:17:16 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2014-02-05 19:03:48 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.